# sc::GuessMolecularHessian Class Reference

GuessMolecularHessian is an implementation of MolecularHessian that estimates the hessian based on the internal coordinates. More...

`#include <hess.h>`

Inheritance diagram for sc::GuessMolecularHessian:

List of all members.

## Public Member Functions

| GuessMolecularHessian (const Ref< KeyVal > &)
| The GuessMolecularHessian KeyVal constructor is used to generate a GuessMolecularHessian object from the input.
| GuessMolecularHessian (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
RefSymmSCMatrix | cartesian_hessian ()
| Return the hessian in cartesian coordinates.

## Protected Attributes

Ref< MolecularCoor > | coor_

## Detailed Description

GuessMolecularHessian is an implementation of MolecularHessian that estimates the hessian based on the internal coordinates.

## Constructor & Destructor Documentation

sc::GuessMolecularHessian::GuessMolecularHessian | ( | const Ref< KeyVal > & |  | ) |

The GuessMolecularHessian KeyVal constructor is used to generate a GuessMolecularHessian object from the input.

It reads the keywords below.

Keyword | Type | Default | Description
`coor` | MolecularCoor | none | This gives the MolecularCoor object that is used to generate the guess hessian. It does not have to be the same MolecularCoor object that is used to optimize the molecule.

## Member Function Documentation

void sc::GuessMolecularHessian::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::MolecularHessian.

The documentation for this class was generated from the following file:

- hess.h